# Interface UnderlyingByteSource

interface UnderlyingByteSource {
autoAllocateChunkSize?: number;
cancel?: ReadableStreamErrorCallback;
pull?: ReadableByteStreamControllerCallback;
start?: ReadableByteStreamControllerCallback;
type: "bytes";
}

- Defined in node_modules/@types/node/stream/web.d.ts:122

#####
Index

### Properties

autoAllocateChunkSize?
cancel?
pull?
start?
type

## Properties

### `Optional` autoAllocateChunkSize

autoAllocateChunkSize?: number

- Defined in node_modules/@types/node/stream/web.d.ts:123

### `Optional` cancel

cancel?: ReadableStreamErrorCallback

- Defined in node_modules/@types/node/stream/web.d.ts:124

### `Optional` pull

pull?: ReadableByteStreamControllerCallback

- Defined in node_modules/@types/node/stream/web.d.ts:125

### `Optional` start

start?: ReadableByteStreamControllerCallback

- Defined in node_modules/@types/node/stream/web.d.ts:126

### type

type: "bytes"

- Defined in node_modules/@types/node/stream/web.d.ts:127